Email a report as a PDF
curl --request POST \
--url https://api.snowseo.com/v3/reports/{id}/share/email \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"recipients": [
"<string>"
],
"pages": [
{
"image": "<string>",
"branding": {}
}
],
"pageWidth": 123,
"pageHeight": 123,
"teamId": "<string>",
"message": "<string>",
"title": "<string>",
"author": "<string>"
}
'import requests
url = "https://api.snowseo.com/v3/reports/{id}/share/email"
payload = {
"recipients": ["<string>"],
"pages": [
{
"image": "<string>",
"branding": {}
}
],
"pageWidth": 123,
"pageHeight": 123,
"teamId": "<string>",
"message": "<string>",
"title": "<string>",
"author": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
recipients: ['<string>'],
pages: [{image: '<string>', branding: {}}],
pageWidth: 123,
pageHeight: 123,
teamId: '<string>',
message: '<string>',
title: '<string>',
author: '<string>'
})
};
fetch('https://api.snowseo.com/v3/reports/{id}/share/email', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.snowseo.com/v3/reports/{id}/share/email",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'recipients' => [
'<string>'
],
'pages' => [
[
'image' => '<string>',
'branding' => [
]
]
],
'pageWidth' => 123,
'pageHeight' => 123,
'teamId' => '<string>',
'message' => '<string>',
'title' => '<string>',
'author' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.snowseo.com/v3/reports/{id}/share/email"
payload := strings.NewReader("{\n \"recipients\": [\n \"<string>\"\n ],\n \"pages\": [\n {\n \"image\": \"<string>\",\n \"branding\": {}\n }\n ],\n \"pageWidth\": 123,\n \"pageHeight\": 123,\n \"teamId\": \"<string>\",\n \"message\": \"<string>\",\n \"title\": \"<string>\",\n \"author\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.snowseo.com/v3/reports/{id}/share/email")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"recipients\": [\n \"<string>\"\n ],\n \"pages\": [\n {\n \"image\": \"<string>\",\n \"branding\": {}\n }\n ],\n \"pageWidth\": 123,\n \"pageHeight\": 123,\n \"teamId\": \"<string>\",\n \"message\": \"<string>\",\n \"title\": \"<string>\",\n \"author\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.snowseo.com/v3/reports/{id}/share/email")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"recipients\": [\n \"<string>\"\n ],\n \"pages\": [\n {\n \"image\": \"<string>\",\n \"branding\": {}\n }\n ],\n \"pageWidth\": 123,\n \"pageHeight\": 123,\n \"teamId\": \"<string>\",\n \"message\": \"<string>\",\n \"title\": \"<string>\",\n \"author\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"sent": [
"<string>"
],
"failed": [
"<string>"
]
}Reports
Email a Report
Email a report as a PDF attachment to one or more recipients.
POST
/
v3
/
reports
/
{id}
/
share
/
email
Email a report as a PDF
curl --request POST \
--url https://api.snowseo.com/v3/reports/{id}/share/email \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"recipients": [
"<string>"
],
"pages": [
{
"image": "<string>",
"branding": {}
}
],
"pageWidth": 123,
"pageHeight": 123,
"teamId": "<string>",
"message": "<string>",
"title": "<string>",
"author": "<string>"
}
'import requests
url = "https://api.snowseo.com/v3/reports/{id}/share/email"
payload = {
"recipients": ["<string>"],
"pages": [
{
"image": "<string>",
"branding": {}
}
],
"pageWidth": 123,
"pageHeight": 123,
"teamId": "<string>",
"message": "<string>",
"title": "<string>",
"author": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
recipients: ['<string>'],
pages: [{image: '<string>', branding: {}}],
pageWidth: 123,
pageHeight: 123,
teamId: '<string>',
message: '<string>',
title: '<string>',
author: '<string>'
})
};
fetch('https://api.snowseo.com/v3/reports/{id}/share/email', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.snowseo.com/v3/reports/{id}/share/email",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'recipients' => [
'<string>'
],
'pages' => [
[
'image' => '<string>',
'branding' => [
]
]
],
'pageWidth' => 123,
'pageHeight' => 123,
'teamId' => '<string>',
'message' => '<string>',
'title' => '<string>',
'author' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.snowseo.com/v3/reports/{id}/share/email"
payload := strings.NewReader("{\n \"recipients\": [\n \"<string>\"\n ],\n \"pages\": [\n {\n \"image\": \"<string>\",\n \"branding\": {}\n }\n ],\n \"pageWidth\": 123,\n \"pageHeight\": 123,\n \"teamId\": \"<string>\",\n \"message\": \"<string>\",\n \"title\": \"<string>\",\n \"author\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.snowseo.com/v3/reports/{id}/share/email")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"recipients\": [\n \"<string>\"\n ],\n \"pages\": [\n {\n \"image\": \"<string>\",\n \"branding\": {}\n }\n ],\n \"pageWidth\": 123,\n \"pageHeight\": 123,\n \"teamId\": \"<string>\",\n \"message\": \"<string>\",\n \"title\": \"<string>\",\n \"author\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.snowseo.com/v3/reports/{id}/share/email")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"recipients\": [\n \"<string>\"\n ],\n \"pages\": [\n {\n \"image\": \"<string>\",\n \"branding\": {}\n }\n ],\n \"pageWidth\": 123,\n \"pageHeight\": 123,\n \"teamId\": \"<string>\",\n \"message\": \"<string>\",\n \"title\": \"<string>\",\n \"author\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"sent": [
"<string>"
],
"failed": [
"<string>"
]
}Render the report to a PDF and email it as an attachment to one or more recipients, using the organization’s white-label email branding when configured. Each delivered send is logged to the org “Reports Sent” KPI.
The body takes the rendered-page payload used by Report Sharing & Delivery:
In addition, the body accepts:
Returns
| Field | Description |
|---|---|
pages | Required. Array of rendered pages, each with an image (data URL) and optional branding box (x, y, w, h, disableWhiteLabel) |
pageWidth | Required. Page width in pixels |
pageHeight | Required. Page height in pixels |
orientation | Optional portrait or landscape |
title | Report title used for the PDF filename and metadata |
author | Optional author metadata |
| Field | Description |
|---|---|
recipients | Required. 1–10 valid email addresses (deduplicated, lowercased) |
message | Optional note included in the email body |
{ sent, failed } - arrays of the recipient addresses that succeeded or failed.
This route is rate-limited more tightly than the others (roughly 10 requests/minute per team) to protect email deliverability.
Authorizations
bearerAuthapiKey
Your SnowSEO API key (sk_...).
Path Parameters
Body
application/json
Up to 10 email addresses.
Show child attributes
Show child attributes
Page width.
Page height.
Available options:
portrait, landscape Document title, also used for the PDF filename.
Author metadata.
Was this page helpful?

